National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2019-12620 Detail

Current Description

A vulnerability in the statistics collection service of Cisco HyperFlex Software could allow an unauthenticated, remote attacker to inject arbitrary values on an affected device. The vulnerability is due to insufficient authentication for the statistics collection service. An attacker could exploit this vulnerability by sending properly formatted data values to the statistics collection service of an affected device. A successful exploit could allow the attacker to cause the web interface statistics view to present invalid data to users.

Source:  MITRE
View Analysis Description

Impact

CVSS v3.1 Severity and Metrics:

Base Score: 5.3 MEDIUM
Vector: AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N (V3.1 legend)
Impact Score: 1.4
Exploitability Score: 3.9


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality (C): None
Integrity (I): Low
Availability (A): None

CVSS v2.0 Severity and Metrics:

Base Score: 5.0 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:N/I:P/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): None
Integrity (I): Partial
Availability (A): None
Additional Information:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20190918-hyperflex-valinj Vendor Advisory

Technical Details

Vulnerability Type (View All)

  • Insufficient Verification of Data Authenticity (CWE-345)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:o:cisco:hyperflex_hx220c_m5_firmware:3.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx220c_m5_firmware:3.5\(2a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx220c_m5_firmware:4.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
Running on/with
 cpe:2.3:h:cisco:hyperflex_hx220c_m5:-:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 2 ( hide )
 cpe:2.3:o:cisco:hyperflex_hx240c_m5_firmware:3.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx240c_m5_firmware:3.5\(2a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx240c_m5_firmware:4.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
Running on/with
 cpe:2.3:h:cisco:hyperflex_hx240c_m5:-:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 3 ( hide )
 cpe:2.3:o:cisco:hyperflex_hx220c_af_m5_firmware:3.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx220c_af_m5_firmware:3.5\(2a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx220c_af_m5_firmware:4.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
Running on/with
 cpe:2.3:h:cisco:hyperflex_hx220c_af_m5:-:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 4 ( hide )
 cpe:2.3:o:cisco:hyperflex_hx240c_af_m5_firmware:3.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx240c_af_m5_firmware:3.5\(2a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx240c_af_m5_firmware:4.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
Running on/with
 cpe:2.3:h:cisco:hyperflex_hx240c_af_m5:-:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 5 ( hide )
 cpe:2.3:o:cisco:hyperflex_hx220c_edge_m5_firmware:3.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx220c_edge_m5_firmware:3.5\(2a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:cisco:hyperflex_hx220c_edge_m5_firmware:4.0\(1a\):*:*:*:*:*:*:*
     Show Matching CPE(s)
Running on/with
 cpe:2.3:h:cisco:hyperflex_hx220c_edge_m5:-:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2019-12620
NVD Published Date:
09/18/2019
NVD Last Modified:
10/09/2019